[gnome-chess] Stop using gnome-common



commit 87c5bdd85b2514a06f3406446c8d3a0ebea8e263
Author: Michael Catanzaro <mcatanzaro gnome org>
Date:   Fri May 29 12:58:26 2015 -0500

    Stop using gnome-common

 autogen.sh   |   40 +++++++++++++++++++++++++++++-----------
 configure.ac |    1 -
 2 files changed, 29 insertions(+), 12 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 7038c2c..c813e00 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,19 +1,37 @@
 #!/bin/sh
+# Run this to generate all the initial makefiles, etc.
 srcdir=`dirname $0`
-[ -z "$srcdir" ] && srcdir=.
+test -z "$srcdir" && srcdir=.
 
-if [ ! -f "$srcdir/configure.ac" ]; then
-       echo "$srcdir doesn't look like source directory for GNOME Chess" >&2
-       exit 1
+(test -f $srcdir/configure.ac) || {
+        echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
+        exit 1
+}
+
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac"`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "**Warning**: I am going to run \`configure' with no arguments." >&2
+        echo "If you wish to pass any to it, please specify them on the" >&2
+        echo \`$0\'" command line." >&2
+        echo "" >&2
 fi
 
-which gnome-autogen.sh || {
-       echo "You need to install gnome-common from GNOME Git"
-       exit 1
-}
+set -x
+
+aclocal --install || exit 1
+glib-gettextize --force --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
 
-if [ -d .git ] && [ ! -e .git/hooks/pre-commit ]; then
-       ln -s ../libgames-support/style-checker .git/hooks/pre-commit && echo "Enabled pre-commit style 
checker." || :
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
 fi
 
-. gnome-autogen.sh "$@"
+set +x
diff --git a/configure.ac b/configure.ac
index 334d9bc..7a8d46c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -8,7 +8,6 @@ AC_CONFIG_SRCDIR([src/gnome-chess.vala])
 AM_INIT_AUTOMAKE([1.11 no-dist-gzip dist-xz foreign])
 AM_SILENT_RULES([yes])
 AM_MAINTAINER_MODE([enable])
-GNOME_MAINTAINER_MODE_DEFINES
 
 AM_PROG_VALAC([0.27.1])
 AM_PROG_CC_C_O


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]